[arch-commits] Commit in mesa/trunk (PKGBUILD mesa-6.5-apps-noglut.patch)

Jan de Groot jgc at archlinux.org
Tue Aug 5 17:12:28 EDT 2008


    Date: Tuesday, August 5, 2008 @ 17:12:28
  Author: jgc
Revision: 8037

upgpkg: mesa 7.1rc3-1

Modified:
  mesa/trunk/PKGBUILD
Deleted:
  mesa/trunk/mesa-6.5-apps-noglut.patch

----------------------------+
 PKGBUILD                   |   64 +++++++++++++------------------------------
 mesa-6.5-apps-noglut.patch |   17 -----------
 2 files changed, 20 insertions(+), 61 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 21:12:06 UTC (rev 8036)
+++ PKGBUILD	2008-08-05 21:12:28 UTC (rev 8037)
@@ -3,61 +3,37 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=mesa
-pkgver=7.0.3
-pkgrel=3
+pkgver=7.1rc3
+pkgrel=1
 pkgdesc="Mesa OpenGL library"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://mesa3d.sourceforge.net"
-depends=('libgl' 'glproto>=1.4.9' 'gcc-libs' 'libxt')
-makedepends=('imake' 'pkgconfig')
+depends=('libgl' 'libx11>=1.1.4-3' 'libxt' 'glproto>=1.4.9')
+makedepends=('pkgconfig' 'dri2proto>=1.1')
 conflicts=('mesa-apps')
 replaces=('mesa-apps')
-source=(http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${pkgver}.tar.bz2
-        http://downloads.sourceforge.net/sourceforge/mesa3d/MesaDemos-${pkgver}.tar.bz2
-	ftp://ftp.archlinux.org/other/mesa/gl-manpages-1.0.1.tar.bz2
-	mesa-6.5-apps-noglut.patch)
-md5sums=('e6e6379d7793af40a6bc3ce1bace572e'
-         '47fd6863621d3c9c7dbb870ab7f0c303'
-         '6ae05158e678f4594343f32c2ca50515'
-         'cc5a4ea4ea8de4425997fcda2a9d8648')
+source=(http://www.mesa3d.org/beta/MesaLib-7.1-rc3.tar.gz
+        http://www.mesa3d.org/beta/MesaDemos-7.1-rc3.tar.gz
+	ftp://ftp.archlinux.org/other/mesa/gl-manpages-1.0.1.tar.bz2)
+md5sums=('3a3cb6e3f09bf28650483b0d43ab8d88'
+         'b4ec33e6167eec33c6857569dedb20a6'
+         '6ae05158e678f4594343f32c2ca50515')
 
 build() {
-  cd ${startdir}/src/Mesa-${pkgver}
-  patch -Np0 -i ${startdir}/src/mesa-6.5-apps-noglut.patch || return 1
+  cd ${srcdir}/Mesa-7.1-rc3
+  ./configure --prefix=/usr --with-dri-drivers=swrast --enable-glx-tls || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
-  unset CFLAGS
-  unset CXXFLAGS
+  install -m755 -d ${pkgdir}/usr/bin
+  install -m755 progs/xdemos/glx{gears,info} ${pkgdir}/usr/bin/ || return 1
 
-  CONFIG="linux-dri-x86"
-  if [ "${CARCH}" = "x86_64" ]; then
-    CONFIG="linux-dri-x86-64"
-    sed -i -e "s/lib64/lib/g" configs/${CONFIG}
-  fi
-  echo "EXTRA_LIB_PATH =" >> configs/${CONFIG}
-  echo "SRC_DIRS = glx/x11 glu glw" >> configs/${CONFIG}
-  rm -f include/GL/glut*h
-  echo "USING_EGL = 0" >> configs/${CONFIG}
-  echo "PROGRAM_DIRS =" >> configs/${CONFIG}
-  echo "MKDEP = makedepend" >> configs/${CONFIG}
-  echo "DRI_DIRS =" >> configs/${CONFIG}
-  echo "DRI_DRIVER_SEARCH_DIR = /usr/lib/xorg/modules/dri" >> configs/${CONFIG}
-  echo "ARCH_FLAGS += -DGLX_USE_TLS" >> configs/${CONFIG}
-  echo "X11_INCLUDES = `pkg-config --cflags-only-I x11`" >> configs/${CONFIG}
+  rm -f ${pkgdir}/usr/lib/libGL.so*
+  rm -rf ${pkgdir}/usr/lib/dri
 
-  make ${CONFIG} || return 1
-  install -m755 -d ${startdir}/pkg/usr
-  make INSTALL_DIR=${startdir}/pkg/usr install || return 1
-  install -m644 include/GL/*.h ${startdir}/pkg/usr/include/GL/ || return 1
-
-  rm -f ${startdir}/pkg/usr/lib/libGL.so*
-  cd progs/xdemos
-  make CFLAGS+="-I${startdir}/pkg/usr/include" glxinfo glxgears || return 1
-  install -m755 -d ${startdir}/pkg/usr/bin || return 1
-  install -m755 glxinfo glxgears ${startdir}/pkg/usr/bin/ || return 1
-
-  cd ${startdir}/src/gl-manpages-1.0.1
+  cd ${srcdir}/gl-manpages-1.0.1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }

Deleted: mesa-6.5-apps-noglut.patch
===================================================================
--- mesa-6.5-apps-noglut.patch	2008-08-05 21:12:06 UTC (rev 8036)
+++ mesa-6.5-apps-noglut.patch	2008-08-05 21:12:28 UTC (rev 8037)
@@ -1,17 +0,0 @@
---- progs/xdemos/Makefile.dont-libglut-me-harder-ok-thx-bye	2006-07-25 05:27:36.000000000 -0400
-+++ progs/xdemos/Makefile	2006-07-25 05:33:57.000000000 -0400
-@@ -49,8 +49,13 @@
- 	-rm -f $(PROGS)
- 	-rm -f *.o *~
- 
--
- # special cases
-+glxgears:
-+	$(CC) $(CFLAGS) glxgears.c -lGL -o $@
-+
-+glxinfo:
-+	$(CC) $(CFLAGS) -I$(INCDIR) glxinfo.c -L$(TOP)/lib -L$(TOP)/lib64 -lGL -lGLU -o $@
-+
- pbinfo: pbinfo.o pbutil.o
- 	$(CC) $(CFLAGS) pbinfo.o pbutil.o $(APP_LIB_DEPS) -o $@
- 




More information about the arch-commits mailing list